%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		bitfrost
Version:	1.0.1
Release:	2%{?dist}
Summary:	OLPC bitfrost security modules

Group:		System Environment/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
URL:		http://dev.laptop.org/git/projects/bitfrost
Source0:	http://dev.laptop.org/~dsd/bitfrost/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	python-devel, Pyrex


%description
A collection of Python modules which implement parts of Bitfrost, the
OLPC security platform.


%prep
%setup -q


%build
make OPTFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --install-lib "%{python_sitearch}" --root $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{python_sitearch}/bitfrost/util
%{__install} -m 755 bitfrost/util/{pysign.so,pyverify.so} $RPM_BUILD_ROOT/%{python_sitearch}/bitfrost/util/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{python_sitearch}/bitfrost
%{python_sitearch}/bitfrost-%{version}-*.egg-info/


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Daniel Drake <dsd@laptop.org> 1.0.1-1
- Initial import

